﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Microsoft.Windows.Controls.Ribbon;

namespace RibbonCommands
{
  /// <summary>
  /// Interaction logic for StandardRibbonWindow.xaml
  /// </summary>
  public partial class StandardRibbonWindow : RibbonWindow
  {
    private static int windowCounter = 0;

    private readonly int counter = windowCounter++;


    public StandardRibbonWindow()
    {
      InitializeComponent();
    }


    ~StandardRibbonWindow()
    {
      string msg = "Finalizing UNDISPOSABLE RIBBON window {0} of {1}.";
      msg = String.Format(msg, counter, windowCounter);

      MessageBox.Show(msg);
      Console.Out.WriteLine(msg);
    }


    private void RibbonCommand_Executed(object sender, ExecutedRoutedEventArgs e)
    {
      MessageBox.Show("Ribbon command executed.");
    }
  }
}
